# $Revision: 1.18 $, $Date: 2007/12/24 19:54:01 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	PPI
Summary:	PPI - parse and manipulate Perl code non-destructively, without using perl itself
Summary(pl.UTF-8):	PPI - analiza i manipulacja kodem Perla w sposób niedestruktywny, bez użycia Perla jako takiego
Name:		perl-PPI
Version:	1.201
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/A/AD/ADAMK/%{pdir}-%{version}.tar.gz
# Source0-md5:	dc7c5df06632764e4641151fd15046db
URL:		http://search.cpan.org/dist/PPI/
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.84
BuildRequires:	perl-Clone >= 0.17
BuildRequires:	perl-Digest-MD5 >= 2.27
BuildRequires:	perl-IO-String >= 1.07
BuildRequires:	perl-List-MoreUtils >= 0.13
BuildRequires:	perl-Params-Util >= 0.10
BuildRequires:	perl-Scalar-List-Utils >= 1.18
BuildRequires:	perl-Storable >= 2.14
BuildRequires:	perl-Test-ClassAPI >= 1.02
BuildRequires:	perl-Test-Object >= 0.06
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Clone >= 0.17
Requires:	perl-Digest-MD5 >= 2.27
Requires:	perl-IO-String >= 1.07
Requires:	perl-List-MoreUtils >= 0.13
Requires:	perl-Params-Util >= 0.10
Requires:	perl-Scalar-List-Utils >= 1.18
Requires:	perl-Storable >= 2.14
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautreq	'perl(PPI::.*)'

%description
Technically, PPI is short for Parse::Perl::Isolated. In
acknowledgement that someone may some day come up with a valid
solution for the grammar problem, it was decided to leave the
Parse::Perl namespace free.

The purpose of this parser is not to parse Perl code, but to parse
Perl documents. In most cases, a single file is valid as both. By
treating the problem this way, we can parse a single file containing
Perl source isolated from any other resources, such as the libraries
upon which the code may depend, and without needing to run an instance
of Perl alongside or inside the parser (a possible solution for
Parse::Perl that is investigated from time to time).

%description -l pl.UTF-8
Technicznie PPI to skrót od Parse::Perl::Isolated. Ze świadomością, że
pewnego dnia ktoś może poprawnie rozwiązać problem gramatyki,
zadecydowano o pozostawieniu wolnej przestrzeni nazw Parse::Perl.

Celem tego analizatora nie jest analiza kodu Perla, ale analiza
dokumentów Perla. W większości przypadków jeden plik jest poprawny w
obu zastosowaniach. Traktując problem w ten sposób, można
przeanalizować jeden plik zawierający źródło Perla w odłączeniu od
wszystkich innych zasobów, takich jak biblioteki, na których polega
kod, i bez potrzeby uruchamiania instancji Perla obok lub wewnątrz
analizatora (możliwe rozwiązanie Parse::Perl badane od czasu do
czasu).

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	--skipdeps

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PPI.pm
%{perl_vendorlib}/PPI
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PPI.spec,v $
Revision 1.18  2007/12/24 19:54:01  qboosh
- pl fix

Revision 1.17  2007-12-24 03:04:14  zbyniu
- up to 1.201

Revision 1.16  2007-03-26 20:24:35  radek
- release 2

Revision 1.15  2007/03/26 20:14:21  radek
- noautreq PPI::*

Revision 1.14  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.12  2006/12/22 12:48:21  qboosh
- updated to 1.118, added versioned runtime deps

Revision 1.11  2006/05/26 06:44:52  blaass
- up to 1.114

Revision 1.10  2006/02/13 17:32:16  migo
- up to 1.110

Revision 1.9  2005/10/11 13:51:26  migo
- up to 1.103
- updated BRs

Revision 1.8  2005/07/17 18:57:28  migo
- up to 1.002
- do not ask for decision when there are dependencies missing

Revision 1.7  2005/06/10 20:38:59  migo
- up to 0.991
- added missing BRs, tests pass

Revision 1.6  2004/12/03 13:14:52  radek
- version 0.831; NOTE: tests fail

Revision 1.5  2004/12/01 10:34:04  radek
- standarized Source0 URL

Revision 1.4  2004/11/03 22:30:39  paladine
- formatting

Revision 1.3  2004/08/20 16:22:44  qboosh
- filled License (from manual), pl desc

Revision 1.2  2004/08/08 15:30:48  ankry
- cosmetics

Revision 1.1  2004/08/08 14:59:58  adamg
- new
